Bug 170958 - sendmail should use PAM 'include' rather 'pam_stack.so'
Summary: sendmail should use PAM 'include' rather 'pam_stack.so'
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL: https://www.redhat.com/archives/fedor...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-16 11:05 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 8.13.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 15:41:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New sendmail.pam (88 bytes, patch)
2005-10-16 11:06 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2005-10-16 11:05:03 UTC
Description of problem:
Linux-PAM 0.78 and later contains include directive which obsoletes using the 
pam_stack module. This module is rather a hack as it requires access to pam 
library internals for its operation and will never be accepted to upstream.

Version-Release number of selected component (if applicable):
sendmail-8.13.5-1

Actual results:
sendmail.pam uses 'pam_stack.so'

Expected results:
sendmail.pam should use 'include'

Comment 1 Robert Scheck 2005-10-16 11:06:13 UTC
Created attachment 120032 [details]
New sendmail.pam

Comment 2 Robert Scheck 2005-10-20 10:56:49 UTC
Comment on attachment 120032 [details]
New sendmail.pam

#%PAM-1.0
auth	   include	system-auth
account    include	system-auth

Comment 3 Robert Scheck 2005-11-11 15:41:07 UTC
Fixed in -8.13.5-2, thank you & closing.


Note You need to log in before you can comment on or make changes to this bug.